#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP 
#endif
varying LOWP vec4 v_color;
varying vec4 v_texCoords;
uniform sampler2D u_texture;

const vec2 center = vec2(0.5, 0.5);

void main()
{
	float f= sqrt((v_texCoords.x-center.x)*(v_texCoords.x-center.x)+(v_texCoords.y-center.y)*(v_texCoords.y-center.y));
	vec4 color = texture2D(u_texture, v_texCoords.xy).rgba;
	if(f<0.5){
		if(color.a==0.0){
			gl_FragColor = vec4(1.0, 1.0, 1.0, 1.0);
		}else{
			gl_FragColor = vec4(color.r, color.g, color.b, color.a);
		}
	}else{
		gl_FragColor = vec4(0.0, 0.0, 0.0, 0);
	}
}